### Function

# Gcr mock_prompter_start

since: 3

#### Declaration [src]

    const gchar*
    gcr_mock_prompter_start (
      void
    )

#### Description [src]

Start the mock prompter. This is often used from the <literal>setup()</literal> function of tests.

Starts the mock prompter in an additional thread. Use the returned DBus bus name with `gcr_system_prompt_open_for_prompter()` to connect to this prompter.

Available since: 3

#### Return value

Type: `const gchar*`

The bus name that the mock prompter is listening on.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.